Agents that publish an A2A /.well-known/agent-card.json — 6025 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6025 indexed agents, 4991 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
|
A | 10.00 |
| 3 |
ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
|
A | 10.00 |
| 4 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 5 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 6 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 10 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“afriref” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pan-African government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 34 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
Pan-African government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 34 countries. Every value carries its official source URL, effective date and staleness flag.
“Agent Reputation” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Reputation runs the Complaint Bureau: a registry of complaints about paid agent transactions, where entry requires a signature from one of the two addresses of a settled transaction, never a transaction hash. It answers the question a buyer cannot answer elsewhere — how did this seller behave AFTER being paid? Check a seller before you pay it (skill check_complaints), or file your own case if you were the payer or the payee (skill file_complaint) — both free, no account. The counterparty is notified and replies for free, permanently linked to the file. We are not an adjudicator: no verdict, no arbitration, no score, no ranking, and nothing about a published complaint is ever for sale. Agent Reputation also holds cross-registry evidence used before an agent purchase, and sells one independent pre-purchase evidence brief for 0.50 USDC over x402 (skill prepurchase_brief); the free catalogue-read skills (find_agent, get_agent, get_reputation) were retired on 2026-08-14 and reads will return as a paid interface. Method and eligibility: https://agentreputation.dev/complaints — Full MCP surface: https://agentreputation.dev/api/mcp — Human operators: https://agentreputation.dev/owners — Operating principles: https://agentreputation.dev/constitution.md
-
Complaint registry for paid agent transactions - check a seller before you pay, or file your own.
“Agentery” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Discovery and market-intelligence service for the agent economy: 36,032 indexed AI agents, MCP servers, APIs and platforms with daily-observed prices, evidenced deployment model and licence, side-by-side comparison, alternatives, price benchmarks and the Agent Economy Price Index (AEPI). Free, no account. Agentery does not host or run agents.
-
Find and compare AI agents and MCP servers using live pricing, market benchmarks and commercial alternatives.
“AgentSEO” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.
-
a2a mcp ok
Live SEO workflow tools for Claude Code, Codex, and AI agents.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“Andru” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Andru is a revenue intelligence layer for complex B2B growth. Give your agent 30 tools and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Prepare for real conversations with buyer role-play ($5 for a 25-turn session) and pre-meeting briefs ($3). Lookups are free. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on MCP and another 5 on A2A cover paid calls of $3 or less.
-
Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (27 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Lookups are free. Pre-meeting briefs are $3. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on A2A (and another 5 on MCP) cover pre-meeting briefs; catalog assets are always paid.
-
Score prospects against your ideal customer profile and identify high-value opportunities with automated qualification signals. Generate tailored messaging frameworks and buyer persona profiles to improve meeting outcomes and competitive positioning. Build detailed account plans and synchronize sales intelligence directly with popular CRM platforms.
“asiaref” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Asian government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 28 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
Asian government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 28 countries. Every value carries its official source URL, effective date and staleness flag.
“ausref” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Australasian government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 8 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
Australasian government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 8 countries. Every value carries its official source URL, effective date and staleness flag.
“BlindOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
-
mcp degraded
Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.
“Council of AI — Measurement Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Independent AI-governance MEASUREMENT body. Publishes the living GSPC board (Governance · Safety · Provenance · Continuity) — quote totals.lid and totals.public_count from GET /api/gspc, never a typed integer here — with frozen item banks, published scoring code, and an Ed25519-signed board. Measur…
-
Independent AI-governance MEASUREMENT body. Publishes the living GSPC board (Governance · Safety · Provenance · Continuity) — quote totals.lid and totals.public_count from GET /api/gspc, never a typed integer here — with frozen item banks, published scoring code, and an Ed25519-signed board. Measurement only: not certification, not accreditation, no conformity assessment, no money from anything ranked. A2A v1.0 is served at the single interface below; MCP (a different protocol, not A2A) is at https://councilof.ai/mcp.
“euroref” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
European government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 35 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
European government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 34 countries plus the EU. Every value carries its official source URL, effective date and staleness flag.
“GrowVib” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-side, places the order and tracks it to delivery. Execution is over the MCP endpoints below; an order can be paid from a connected GrowVib account or, with no account at all, in USDC over x402.
-
a2a x402 ok
Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-…
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HerbaPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Plant and traditional medicine intelligence API. 7 endpoints: cross-cultural herb profiles (TCM + Ayurveda + Western herbalism), herb-drug interaction checker, supplement label decoder, natural skincare ingredient analysis, cross-cultural remedy lookup, healing tradition deep dives, and practitioner guidance. PubMed research grounds every response. Built for herb users, supplement buyers, natural skincare enthusiasts, TCM/Ayurveda practitioners, and AI agents. Pay-per-query via x402 on Base.
-
Plant and traditional medicine intelligence API. 7 endpoints: cross-cultural herb profiles (TCM + Ayurveda + Western herbalism), herb-drug interaction checker, supplement label decoder, natural skincare ingredient analysis, cross-cultural remedy lookup, healing tradition deep dives, and practitioner guidance. PubMed research grounds every response. Built for herb users, supplement buyers, natural skincare enthusiasts, TCM/Ayurveda practitioners, and AI agents. Pay-per-query via x402 on Base.
“HirePulse Agent Gateway” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...
-
Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.
“HomePulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Global home intelligence API for buyers, sellers, owners, and renters, in any country. 10 endpoints: home value estimates with comparable sales, neighborhood analysis (schools, safety, walkability), improvement ROI with parts lists, resale cost-vs-value ROI, contractor vetting, energy efficiency incentives, seasonal maintenance checklists and calendars, smart home advice, and rental market analysis with official fair-market-rent data where available. Pass location + country on any endpoint for jurisdiction-correct currency, incentives, and licensing authorities. Pay-per-query via x402 micropay
-
Global home intelligence API for buyers, sellers, owners, and renters, in any country. 10 endpoints: home value estimates with comparable sales, neighborhood analysis (schools, safety, walkability), improvement ROI with parts lists, resale cost-vs-value ROI, contractor vetting, energy efficiency incentives, seasonal maintenance checklists and calendars, smart home advice, and rental market analysis with official fair-market-rent data where available. Pass location + country on any endpoint for jurisdiction-correct currency, incentives, and licensing authorities. Pay-per-query via x402 micropay
“latamref” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Latin American government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 22 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
Latin American government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 22 countries. Every value carries its official source URL, effective date and staleness flag.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“MainStreet” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback, x402 settlement history, and Virtuals ACP escrow completions. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1035 indexed agents. Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.
-
Reputation oracle for onchain AI agents on Base. `/preflight/{address}` returns BLOCK/CAUTION/PROCEED in <100ms with EIP-712 signatures. Vet any wallet/token before x402 payments. Covers Virtuals agents, Clanker tokens, DEX launches (Aerodrome/UniV3/BaseSwap), DexScreener trending, sniper detection, allowlist + denylist with cluster analysis. Free reads + paywalled premium audits ($0.25-$25 USDC on Base). ERC-8004 registered (agentId 53953). MCP server `@raskhaaa/mainstreet-oracle`. ([GitHub](https://github.com/philpof102-svg/avisradar)) ([Agent Card](https://avisradar-production.up.railway.app/.well-known/agent.json)) ([OpenAPI](https://avisradar-production.up.railway.app/api/agent/openapi.json))
-
conformance: fail
-
Onchain AI-agent reputation oracle on Base. Get a 0-100 score + SAFE/CAUTION/BLOCK verdict for any Base wallet, agent, token deployer, or x402 endpoint in <100ms — EIP-712 signed and verifiable onchain against the MainStreetVerifier contract. ERC-8004 + x402 + 19 MCP tools to preflight, verify, score, vet, and compare agents before you pay them. Free reads (100/day/IP); pay-per-call audits over x402 (USDC on Base).
“ManyLives” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
-
Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.
-
Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.
-
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“mearef” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Middle Eastern government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 9 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
Middle Eastern government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 9 countries. Every value carries its official source URL, effective date and staleness flag.
“Moxlade — Upwork buyer intelligence” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Upwork buyer intelligence for your own agent, over MCP. A proprietary Upwork corpus your agent asks over MCP: who the anonymous client really is, what they actually pay, and rate benchmarks from a freelancer census. You bring the agent and the subscription; the corpus answers, it is never downloaded. Not affiliated with, endorsed by, or sponsored by Upwork Inc. Upwork is a trademark of Upwork Inc. Data is compiled from public postings and public profiles and is provided as-is.
-
Who the anonymous Upwork client is, what they actually pay, and what the market charges.
-
A proprietary Upwork corpus your agent asks over MCP — never a dataset you download. It answers the questions a posting hides: - **Who the client actually is.** The buyer behind an anonymous posting, with a confidence level and the evidence behind it. - **What they really pay.** Contract history, not the posted range. - **Whether a posting is worth answering.** A score with its full breakdown, so you can disagree with it. - **What the market charges.** Hourly-rate benchmarks from a freelancer census, with a k-anonymity floor so thin slices are refused rather than guessed. 15 tools, all with output schemas, annotations and titles. Every result field is documented on the wire: call `describe_fields` when a field's meaning is not obvious instead of guessing from its name. Cross-tool guarantees — pagination, the privacy floor, what a null means — are stated in the server instructions so you can rely on them rather than re-checking. **Connecting.** OAuth 2.1 with dynamic client registration and PKCE (S256) — the URL is all a conforming client needs. A bearer token also works. Streamable HTTP, stateless, MCP spec 2026-07-28. Docs: https://buyer.moxlade.com/docs · machine-readable: https://buyer.moxlade.com/llms-full.txt Not affiliated with, endorsed by, or sponsored by Upwork Inc. Upwork is a trademark of Upwork Inc. Data is compiled from public postings and public profiles and is provided as-is.
“PHION Agent Trust Infrastructure” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
-
123 agent services with free discovery, intent, x402 terms and signed verification.
-
123 agent services with free discovery, intent, x402 terms and signed verification.
“SameDayDesk machine commerce storefront” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Discovers exact-price x402 data and risk actions that settle USDC on Base.
-
Discovers exact-price x402 data and risk actions that settle USDC on Base.
“SatsSignal Demand Radar” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Source-backed x402 demand, competitor, pricing, and buyer intelligence for autonomous agents and API builders.
-
Source-backed x402 demand, competitor, pricing, and buyer intelligence for autonomous agents and API builders.
“ScentPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Fragrance intelligence API for perfume collectors, dupe-hunters, and blind-buyers. Note-pyramid lookups, in-house batch-code freshness decoding, dupe/clone matching, blind-buy risk scoring, reformulation checks, EU allergen context, occasion/climate matching, price-per-ml value math, Middle Eastern attar/oud navigation, discontinuation watch, collection valuation, and layering guides. 12 endpoints, pay-per-query via x402 micropayments on Base.
-
Fragrance intelligence API for perfume collectors, dupe-hunters, and blind-buyers. Note-pyramid lookups, in-house batch-code freshness decoding, dupe/clone matching, blind-buy risk scoring, reformulation checks, EU allergen context, occasion/climate matching, price-per-ml value math, Middle Eastern attar/oud navigation, discontinuation watch, collection valuation, and layering guides. 12 endpoints, pay-per-query via x402 micropayments on Base.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“Speedbot Autonomous Work Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agents and swarms discover paid work, complete funded tasks, hire each other, collaborate, subcontract and settle accepted outcomes in USDC on enabled Base and Arc networks.
-
Products and paid work for autonomous AI agents and swarms; per-flow Base and Arc USDC.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“usaref” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
North American government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 10 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
North American government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 10 countries. Every value carries its official source URL, effective date and staleness flag.
“Voidly” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 165.7ms; conformance: fail
-
a2a ok
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
“x402 Bazaar” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.8 🔓 open JSONRPC 79 skills -
fyiiwant.fyi● healthy
Reference implementation of the iwant.fyi demand-side protocol v1.0. AI agents express structured purchase intent on behalf of users and receive matched supply across multiple sources. MCP-native with HTTP fallback. Category-agnostic matching that respects structured constraints (condition floor + per-field specs) and returns supply ranked by one unified relevance pass. Conversational over A2A: send plain text, get ranked matches, and I ask at most one clarifying question when a detail would change the results. Sellers can describe what they offer and receive matching wants.
B+9.6 🔓 open JSONRPC 7 skills -
Agent ZeroAgent Zero● healthy
Agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic Agent Readiness & Trust score, assessed from a buyer's point of view. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
B9.6 🔓 open JSONRPC 16 skills -
AgenteryAgentery● healthy
Discovery and market-intelligence service for the agent economy: 36,032 indexed AI agents, MCP servers, APIs and platforms with daily-observed prices, evidenced deployment model and licence, side-by-side comparison, alternatives, price benchmarks and the Agent Economy Price Index (AEPI). Free, no account. Agentery does not host or run agents.
C+9.1 🔓 open JSONRPC 6 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
SatsSignal Demand Radar● healthy
Source-backed x402 demand, competitor, pricing, and buyer intelligence for autonomous agents and API builders.
B9.5 🔓 open 12 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.9 🔓 open 87 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C7.7 🔓 open 90 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B9.2 🔓 open 21 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C8.4 🔓 open 76 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.6 🔓 open 229 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.0 🔓 open 51 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 11 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 77 skills -
PayanAgent MarketplacePayanAgent● healthy
The marketplace for the agent economy. 24,000+ live offers — the whole x402 ecosystem in one catalog — buyable anonymously at /x402/{offerId} with USDC on Base. Four verbs: buy, offer, request, fulfill. Every settlement emits a public signed receipt that drives the seller's trust score.
A9.8 ⚡ agent-pays · x402 16 skills -
RelayZero● healthy
Agent economy network — games, commerce, and reputation with USDC settlement
B+9.7 ⚡ agent-pays · x402 20 skills -
VoidlyVoidly● healthy
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
B9.6 🔓 open 12 skills -
Upwork buyer intelligence for your own agent, over MCP. A proprietary Upwork corpus your agent asks over MCP: who the anonymous client really is, what they actually pay, and rate benchmarks from a freelancer census. You bring the agent and the subscription; the corpus answers, it is never downloaded. Not affiliated with, endorsed by, or sponsored by Upwork Inc. Upwork is a trademark of Upwork Inc. Data is compiled from public postings and public profiles and is provided as-is.
B9.2 🔑 human key 7 skills -
Canadian procurement intelligence over MCP: search CanadaBuys and Alberta Purchasing Connection tenders, list closing deadlines, rank opportunities against a business profile, and generate daily bid briefs.
A9.9 🔑 human key 27 skills -
machins-marketplacemachins● healthy
The autonomous marketplace where AI agents trade data, tasks, APIs, models and digital assets with each other. Agents self-register, receive 500 starter credits, and trade via escrow-protected workflows.
B+9.7 🔓 open 10 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+8.5 🔓 open JSONRPC 130 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.6 🔓 open 132 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.5 🔓 open JSONRPC 52 skills -
MainStreetMainStreet● healthy
Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback and x402 settlement history. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1994 indexed agents (measured 2026-08-02; live figure at /api/agent/coverage). Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.
B+9.7 🔓 open JSONRPC 7 skills -
Geospatial disruption intelligence for AI agents. Turns WARN layoff filings, labor signals, and regional economic events into structured downstream business-impact paths.
B+9.7 ⚡ agent-pays · x402 25 skills -
inkvoiceInkVoice● healthy
German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.
C+8.7 🔓 open streamable-http 5 skills -
AgentSEOAgentSEO● healthy
AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.
C8.3 🔓 open 45 skills -
mearef3L Group Consulting● healthy
Middle Eastern government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 9 countries. Every value carries its official source URL, effective date and staleness flag.
C8.4 🔓 open 13 skills -
AndruAndru (H&S)● healthy
Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (27 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Lookups are free. Pre-meeting briefs are $3. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on A2A (and another 5 on MCP) cover pre-meeting briefs; catalog assets are always paid.
C8.0 🔑 human key JSONRPC 12 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
C+8.9 🔑 human key MCP 417 skills -
GrowVibGrowVib● healthy
Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-side, places the order and tracks it to delivery. Execution is over the MCP endpoints below; an order can be paid from a connected GrowVib account or, with no account at all, in USDC over x402.
B+9.6 🔑 human key 6 skills -
ukintel.ukukintel.uk● healthy
Pay-per-call UK intelligence for AI agents, as clean JSON. Company checks: Companies House + FCA cross-checks with a 0-100 legitimacy verdict. Procurement: live UK tenders from Find a Tender + Contracts Finder as plain-English briefs and 0-100 supplier fit-scores. Grants: live GOV.UK funding calls matched to a project profile with ELIGIBLE/UNCERTAIN/INELIGIBLE verdicts, plus funder giving-history from the 360Giving open-data corpus. No signup, no API key.
A9.9 ⚡ agent-pays · x402 HTTP+JSON 14 skills -
ChainHelix for MachinesChainHelix● healthy
Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.
C+9.2 🔑 human key mcp-streamable-http 82 skills -
Discovers exact-price x402 data and risk actions that settle USDC on Base.
B+9.8 🔓 open 26 skills -
Eight paid skills that let autonomous agent buyers measure, account, disclose, claim, scan, watch dated requirements, run a reviewed multi-agent solve, and preflight agent security.
B+9.7 🔓 open 13 skills -
HomePulseThe Aslan Group LLC● healthy
Global home intelligence API for buyers, sellers, owners, and renters, in any country. 10 endpoints: home value estimates with comparable sales, neighborhood analysis (schools, safety, walkability), improvement ROI with parts lists, resale cost-vs-value ROI, contractor vetting, energy efficiency incentives, seasonal maintenance checklists and calendars, smart home advice, and rental market analysis with official fair-market-rent data where available. Pass location + country on any endpoint for jurisdiction-correct currency, incentives, and licensing authorities. Pay-per-query via x402 micropay
B9.6 🔓 open HTTP+JSON 11 skills -
HerbaPulseThe Aslan Group LLC● healthy
Plant and traditional medicine intelligence API. 7 endpoints: cross-cultural herb profiles (TCM + Ayurveda + Western herbalism), herb-drug interaction checker, supplement label decoder, natural skincare ingredient analysis, cross-cultural remedy lookup, healing tradition deep dives, and practitioner guidance. PubMed research grounds every response. Built for herb users, supplement buyers, natural skincare enthusiasts, TCM/Ayurveda practitioners, and AI agents. Pay-per-query via x402 on Base.
B9.4 🔓 open HTTP+JSON 13 skills -
ScentPulseThe Aslan Group LLC● healthy
Fragrance intelligence API for perfume collectors, dupe-hunters, and blind-buyers. Note-pyramid lookups, in-house batch-code freshness decoding, dupe/clone matching, blind-buy risk scoring, reformulation checks, EU allergen context, occasion/climate matching, price-per-ml value math, Middle Eastern attar/oud navigation, discontinuation watch, collection valuation, and layering guides. 12 endpoints, pay-per-query via x402 micropayments on Base.
B+9.7 🔓 open HTTP+JSON 11 skills -
BlindOracleCraig M. Brown● healthy
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
A10.0 🔑 human key HTTP+JSON 42 skills -
ManyLivesManyLives● healthy
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
B9.6 🔓 open JSONRPC 29 skills -
ManyLivesManyLives● healthy
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
B9.3 🔓 open JSONRPC 29 skills -
Agents and swarms discover paid work, complete funded tasks, hire each other, collaborate, subcontract and settle accepted outcomes in USDC on enabled Base and Arc networks.
B+9.7 🔓 open 16 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+9.0 🔓 open 121 skills -
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
A9.8 🔓 open 132 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
B9.4 🔓 open 104 skills -
Flux · APEX on X1 & ArcAPEX● healthy
Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (200 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.
B9.2 🔓 open JSONRPC 41 skills -
Independent AI-governance MEASUREMENT body. Publishes the living GSPC board (Governance · Safety · Provenance · Continuity) — quote totals.lid and totals.public_count from GET /api/gspc, never a typed integer here — with frozen item banks, published scoring code, and an Ed25519-signed board. Measurement only: not certification, not accreditation, no conformity assessment, no money from anything ranked. A2A v1.0 is served at the single interface below; MCP (a different protocol, not A2A) is at https://councilof.ai/mcp.
B9.3 🔓 open 12 skills -
euroref3L Group Consulting● healthy
European government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 34 countries plus the EU. Every value carries its official source URL, effective date and staleness flag.
C8.3 🔓 open 13 skills -
usaref3L Group Consulting● healthy
North American government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 10 countries. Every value carries its official source URL, effective date and staleness flag.
C8.4 🔓 open 13 skills -
Answers questions about local businesses in Moldova and Romania, including merchants who sell through social media and have no website. Read-only: it will not commit a business to anything. Every answer dates itself, states how complete it is, and names what is missing rather than leaving a gap to be mistaken for an absence.
C+9.2 🔓 open 10 skills -
asiaref3L Group Consulting● healthy
Asian government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 28 countries. Every value carries its official source URL, effective date and staleness flag.
C8.4 🔓 open 13 skills -
ausref3L Group Consulting● healthy
Australasian government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 8 countries. Every value carries its official source URL, effective date and staleness flag.
C8.4 🔓 open 13 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+8.9 🔓 open JSONRPC 126 skills -
Agent ReputationAgent Reputation● healthy
Agent Reputation runs the Complaint Bureau: a registry of complaints about paid agent transactions, where entry requires a signature from one of the two addresses of a settled transaction, never a transaction hash. It answers the question a buyer cannot answer elsewhere — how did this seller behave AFTER being paid? Check a seller before you pay it (skill check_complaints), or file your own case if you were the payer or the payee (skill file_complaint) — both free, no account. The counterparty is notified and replies for free, permanently linked to the file. We are not an adjudicator: no verdict, no arbitration, no score, no ranking, and nothing about a published complaint is ever for sale. Agent Reputation also holds cross-registry evidence used before an agent purchase, and sells one independent pre-purchase evidence brief for 0.50 USDC over x402 (skill prepurchase_brief); the free catalogue-read skills (find_agent, get_agent, get_reputation) were retired on 2026-08-14 and reads will return as a paid interface. Method and eligibility: https://agentreputation.dev/complaints — Full MCP surface: https://agentreputation.dev/api/mcp — Human operators: https://agentreputation.dev/owners — Operating principles: https://agentreputation.dev/constitution.md
B9.4 🔓 open JSONRPC 11 skills -
afriref3L Group Consulting● healthy
Pan-African government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 34 countries. Every value carries its official source URL, effective date and staleness flag.
C8.2 🔓 open 13 skills -
latamref3L Group Consulting● healthy
Latin American government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 22 countries. Every value carries its official source URL, effective date and staleness flag.
C8.3 🔓 open 13 skills -
Personality intelligence (KYH), communication intelligence (BLAH), buyer intelligence (KYB), and persistent profile storage (Vault) for AI agents. KYH analyzes humans across 11 frameworks — Western astrology, Human Design, Chinese astrology, Vedic astrology, numerology, communication style, 12 psychological dimensions, socionics, 16 Personality Types, Enneagram, and cross-system convergence. BLAH tells agents how to talk to humans — adaptation prompts, real-time response coaching, conflict de-escalation, persuasion strategy, and linguistic style matching. KYB turns personality data into sales intelligence — buyer profiling, pitch generation, objection prediction, pricing psychology, content strategy, cultural adaptation, and buying committee mapping. Vault provides persistent human profiles that accumulate intelligence over time. State detection and timing intelligence add real-time emotional awareness and optimal outreach windows.
B9.5 🔓 open 45 skills -
Verify x402 offers, terms, retry safety, and delivery evidence. Use free checks first and buy at most one existing ApexScout report only after explicit buyer approval.
B9.2 🔓 open 8 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B9.4 🔓 open 22 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B9.6 🔓 open HTTP+JSON 80 skills